# Generated by go2rpm 1.16.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/twpayne/chezmoi
%global goipath         github.com/twpayne/chezmoi
Version:                2.63.0

%gometa -L -f

%global common_description %{expand:
Manage your dotfiles across multiple diverse machines, securely.}

%global golicenses      LICENSE assets/chezmoi.io/docs/license.md\\\
                        assets/chezmoi.io/docs/reference/commands/license.md
%global godocs          .markdownlint-cli2.yaml README.md \\\
                        assets/chezmoi.io/snippets/config-format.md\\\
                        assets/chezmoi.io/snippets/common-flags/exclude.md\\\
                        assets/chezmoi.io/snippets/common-flags/format.md\\\
                        assets/chezmoi.io/snippets/common-flags/include.md\\\
                        assets/chezmoi.io/snippets/common-flags/init.md\\\
                        assets/chezmoi.io/snippets/common-flags/nul-path-\\\
                        separator.md assets/chezmoi.io/snippets/common-\\\
                        flags/parent-dirs.md\\\
                        assets/chezmoi.io/snippets/common-flags/path-style.md\\\
                        assets/chezmoi.io/snippets/common-flags/recursive.md\\\
                        assets/chezmoi.io/snippets/common-flags/tree.md

Name:           chezmoi
Release:        %autorelease
Summary:        Manage your dotfiles across multiple diverse machines, securely

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  git

Recommends:     git

%description %{common_description}

%gopkg

%package bash-completion
BuildArch:      noarch
Summary:        Bash completion files for %{name}
Provides:       %{name}-bash-completion = %{version}-%{release}

Requires:       bash-completion
Requires:       %{name} = %{version}-%{release}

%description bash-completion
This package installs Bash completion files for %{name}

%package fish-completion
BuildArch:      noarch
Summary:        Fish completion files for %{name}
Provides:       %{name}-fish-completion = %{version}-%{release}

Requires:       fish
Requires:       %{name} = %{version}-%{release}

%description fish-completion
This package installs Fish completion files for %{name}

%package zsh-completion
BuildArch:      noarch
Summary:        Zsh completion files for %{name}
Provides:       %{name}-zsh-completion = %{version}-%{release}

Requires:       zsh
Requires:       %{name} = %{version}-%{release}

%description zsh-completion
This package installs Zsh completion files for %{name}

%prep
%goprep -A

%if %{without bootstrap}
go mod vendor
%endif

%if %{without bootstrap}
%build
export GO_BUILDTAGS="noupgrade"
export GO_LDFLAGS="-X main.version=%{version}
                   -X main.date=${SOURCE_DATE_EPOCH:-}
                   -X main.builtBy=copr"
%gobuild -o %{gobuilddir}/bin/chezmoi %{goipath}
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
chmod -R u+w %{gobuilddir}/pkg

install -Dpm644 completions/chezmoi-completion.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm644 completions/chezmoi.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm644 completions/chezmoi.zsh %{buildroot}%{zsh_completions_dir}/_%{name}
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE vendor/modules.txt assets/chezmoi.io/docs/license.md
%license assets/chezmoi.io/docs/reference/commands/license.md
%doc .markdownlint-cli2.yaml README.md
%doc assets/chezmoi.io/snippets/config-format.md
%doc assets/chezmoi.io/snippets/common-flags/exclude.md
%doc assets/chezmoi.io/snippets/common-flags/format.md
%doc assets/chezmoi.io/snippets/common-flags/include.md
%doc assets/chezmoi.io/snippets/common-flags/init.md
%doc assets/chezmoi.io/snippets/common-flags/nul-path-separator.md
%doc assets/chezmoi.io/snippets/common-flags/parent-dirs.md
%doc assets/chezmoi.io/snippets/common-flags/path-style.md
%doc assets/chezmoi.io/snippets/common-flags/recursive.md
%doc assets/chezmoi.io/snippets/common-flags/tree.md
%{_bindir}/chezmoi
%endif

%gopkgfiles

%files bash-completion
%{bash_completions_dir}/%{name}

%files fish-completion
%{fish_completions_dir}/%{name}.fish

%files zsh-completion
%{zsh_completions_dir}/_%{name}

%changelog
%autochangelog
